if not exists(select * from [dbo].[CSEasyScriptSupportedPages] where ASPXPage = N'HRMResourceSearch.aspx')
begin
	insert into [dbo].[CSEasyScriptSupportedPages](ID, Caption, CaptionID, ASPXPage, DefaultColumn, IsMaintScreen, DefaultRow, TableName, KeyColumn, KeyInputField, BusinessComponent, CardID, PageType)
	values(newId(), N'People search', 39700, N'HRMResourceSearch.aspx', N'', 0, null, 'Humres', 'res_id', '', 'Employee', '', 'S')
end
go

if not exists(select * from [dbo].[CSEasyScriptSupportedPages] where ASPXPage = N'LogSearch.aspx')
begin
	insert into [dbo].[CSEasyScriptSupportedPages](ID, Caption, CaptionID, ASPXPage, DefaultColumn, IsMaintScreen, DefaultRow, TableName, KeyColumn, KeyInputField, BusinessComponent, CardID, PageType)
	values(newId(), N'Search items', 43867, N'LogSearch.aspx', N'', 0, null, 'Items', 'ItemCode', '', 'Item', '', 'S')
end
go

if not exists(select * from [dbo].[CSEasyScriptSupportedPages] where ASPXPage = N'DocSearch.aspx')
begin
	insert into [dbo].[CSEasyScriptSupportedPages](ID, Caption, CaptionID, ASPXPage, DefaultColumn, IsMaintScreen, DefaultRow, TableName, KeyColumn, KeyInputField, BusinessComponent, CardID, PageType)
	values(newId(), N'Search documents', 40505, N'DocSearch.aspx', N'', 0, null, 'BacoDiscussions', 'ID', '', 'BDDocument', '', 'S')
end
go

if not exists(select * from [dbo].[CSEasyScriptSupportedPages] where ASPXPage = N'ProSearch.aspx')
begin
	insert into [dbo].[CSEasyScriptSupportedPages](ID, Caption, CaptionID, ASPXPage, DefaultColumn, IsMaintScreen, DefaultRow, TableName, KeyColumn, KeyInputField, BusinessComponent, CardID, PageType)
	values(newId(), N'Projects', 8671, N'ProSearch.aspx', N'', 0, null, 'PrProject', 'ProjectNr', '', 'PRProject', '', 'S')
end
go

if not exists(select * from [dbo].[CSEasyScriptSupportedPages] where ASPXPage = N'WflSearch.aspx')
begin
	insert into [dbo].[CSEasyScriptSupportedPages](ID, Caption, CaptionID, ASPXPage, DefaultColumn, IsMaintScreen, DefaultRow, TableName, KeyColumn, KeyInputField, BusinessComponent, CardID, PageType)
	values(newId(), N'Search requests', 42217, N'WflSearch.aspx', N'', 0, null, 'Absences', 'ID', '', 'Request', '', 'S')
end
go

if not exists(select * from [dbo].[CSEasyScriptSupportedPages] where ASPXPage = N'Home.aspx')
begin
	insert into [dbo].[CSEasyScriptSupportedPages](ID, Caption, CaptionID, ASPXPage, DefaultColumn, IsMaintScreen, DefaultRow, TableName, KeyColumn, KeyInputField, BusinessComponent, CardID, PageType)
	values(newId(), N'Workspace', 42194, N'Home.aspx', N'', 0, null, 'Workspaces', 'ID', '', 'Workspaces', '', 'S')
end
go
